Loading...
Searching...
No Matches
Magick::negateImage Class Reference

## Public Member Functions

| negateImage (const bool grayscale_=false)
void | operator() (Image &image_) const

## Private Attributes

bool | _grayscale

## Detailed Description

Definition at line 763 of file STL.h.

## Constructor & Destructor Documentation

## negateImage()

Magick::negateImage::negateImage | ( | const bool | grayscale_ = `false` | ) |

Definition at line 711 of file STL.cpp.

: _grayscale( grayscale_ )
{
}

## Member Function Documentation

## operator()()

void Magick::negateImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 715 of file STL.cpp.

{
image_.negate( _grayscale );
}

## Field Documentation

## _grayscale

bool Magick::negateImage::_grayscale

private

Definition at line 771 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp